Get Points Transfer Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v2/points/transfer?identifierName=mobile&source=INSTORE&identifierValue=919777785207' \
--header 'Authorization: Basic bWFka2YQ==' \
--header 'Cookie: _cfuvid=IEacVBB7xCaQXaYZNjqhVgGFNNBE1wcNyx6O5vnh4cA-1759831634361-0.0.1.1-604800000'

Resource information

Pagination supportNo
Rate limitNA
Batch supportNo

Request parameters

ParameterData TypeDescription
sourcestringSource in which the customer identifier is available. For example, INSTORE, MARTJACK, WECHAT, WEBSITE, MOBILE_APP
identifierNamestringIdentifier type used to identify the customer. For example, mobile, email, externalId, id
identifierValuestringValue of the specified identifier type of the customer.
accountIdstringstring For sources with multiple accounts, pass the specific account ID in which the customer identifier is registered (not applicable for INSTORE).

Example response

{
    "data": [
        {
            "toEntityId": 564955411,
            "toEntityType": "CUSTOMER",
            "fromEntityId": 564955302,
            "fromEntityType": "CUSTOMER",
            "pointsTransferDate": "2025-10-07 10:30:48",
            "pointsTransferDateISO": "2025-10-07T10:30:48Z",
            "pointsTransferred": 2.0,
            "transferId": 1040871,
            "transferType": "ADDITION",
            "transferredFrom": {
                "userId": 564955302,
                "firstName": "testgrp4",
                "lastName": "testgrpv2",
                "externalId": "434548"
            },
            "transferredTo": {
                "userId": 564955411,
                "firstName": "testgrp5",
                "lastName": "testgrpv2",
                "externalId": "434549"
            },
            "notes": "",
            "programName": "DocDemoDefaultProgram"
        },
        {
            "toEntityId": 564955411,
            "toEntityType": "CUSTOMER",
            "fromEntityId": 564955302,
            "fromEntityType": "CUSTOMER",
            "pointsTransferDate": "2025-07-02 17:59:32",
            "pointsTransferDateISO": "2025-07-02T17:59:32Z",
            "pointsTransferred": 2.0,
            "transferId": 1038615,
            "transferType": "ADDITION",
            "transferredFrom": {
                "userId": 564955302,
                "firstName": "testgrp4",
                "lastName": "testgrpv2",
                "externalId": "434548"
            },
            "transferredTo": {
                "userId": 564955411,
                "firstName": "testgrp5",
                "lastName": "testgrpv2",
                "externalId": "434549"
            },
            "notes": "",
            "programName": "DocDemoDefaultProgram"
        },
        {
            "toEntityId": 564955411,
            "toEntityType": "CUSTOMER",
            "fromEntityId": 564955302,
            "fromEntityType": "CUSTOMER",
            "pointsTransferDate": "2025-06-03 11:00:19",
            "pointsTransferDateISO": "2025-06-03T11:00:19Z",
            "pointsTransferred": 2.0,
            "transferId": 1037933,
            "transferType": "ADDITION",
            "transferredFrom": {
                "userId": 564955302,
                "firstName": "testgrp4",
                "lastName": "testgrpv2",
                "externalId": "434548"
            },
            "transferredTo": {
                "userId": 564955411,
                "firstName": "testgrp5",
                "lastName": "testgrpv2",
                "externalId": "434549"
            },
            "notes": "",
            "programName": "DocDemoDefaultProgram"
        }
    ],
    "warnings": [],
    "errors": []
}

Response Parameter

ParameterTypeDescription
toEntityIdIntegerThe ID of the entity receiving the points
toEntityTypeStringThe type of entity receiving points (e.g., "CUSTOMER")
fromEntityIdIntegerThe ID of the entity sending the points
fromEntityTypeStringThe type of entity sending points (e.g., "CUSTOMER")
pointsTransferDateStringThe date and time when points were transferred (yyyy-MM-dd HH:mm:ss format)
pointsTransferDateISOString

Indicates the date and time when the points transfer occured in ISO 8601 format, returned in the server time zone.

EU server example
2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example
2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

pointsTransferredFloatThe number of points transferred
transferIdIntegerUnique identifier for the transfer transaction
transferTypeStringType of transfer (e.g., "DEDUCTION")
transferredFromObjectDetails about the sender
-userIdIntegerUnique identifier of the sender user
-firstNameStringFirst name of the sender
-lastNameStringLast name of the sender
-externalIdStringExternal identifier of the sender
transferredToObjectDetails about the receiver
-userIdIntegerUnique identifier of the receiver user
-firstNameStringFirst name of the receiver
-lastNameStringLast name of the receiver
-externalIdStringExternal identifier of the receiver
notesStringAdditional notes about the transfer
programNameStringName of the loyalty program associated with the transfer
warningsArrayList of warning messages
errorsArrayList of error messages

API specific error code

Error codeDescriptionReason
8015Customer not found for the given identifiersInvalid or missing identifier value in query parameter
Query Params
string
enum
required
Allowed:
string
required
string
enum
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json